.PHONY: all clean config

all: bin/site_flip dist/js/shared.js dist/css/index.css config

bin/site_flip: main.go events.go albums.go
	go build main.go events.go albums.go && mv main bin/site_flip

dist/js/shared.js: $(wildcard src/js/*.js src/js/*/*.js)
	NODE_ENV=production gulp build

dist/css/index.css: $(wildcard src/sass/*.scss src/sass/*/*.scss)
	NODE_ENV=production gulp build

config: nginx/flip_cohen.conf

nginx/flip_cohen.conf: nginx/template.conf
	./init.sh `pwd`

clean:
	rm -f nginx/flip_cohen.conf
	rm -f bin/site_flip
